[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageExpirations;
    localvar={
	.headers="\u4e3b\u6a5f\u540d\u7a31";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="\u904e\u671f\u7b56\u7565";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="\u7b56\u7565";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .group.type.label="\u7528\u65bc\u6b64\u7fa4\u7d44\u985e\u578b";
  .group.patternmatch.label="\u7fa4\u7d44\u7b26\u5408";
  .title.edit = "Edit a custom expiration policy";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Group Type */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Group Type Combo Box */
            ctrl=choice;
            items=["Any","Moderated","Unmoderated"];
            aligny=0.5;
            label=hostname;
            val=$type;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Pattern Match */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.patternmatch.label;
            id=grouptype;
            label=hostname;
          }, /* End patter match label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Pattern match text box */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$pattern;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u9075\u5b88\u904e\u671f\u6a19\u984c\u3002";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="\u4fdd\u6301\u6587\u7ae0\u7121\u904e\u671f\u6a19\u984c\u7684\u5929\u6578\uff1a";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u7f6e\u63db\u904e\u671f\u6a19\u984c\u3002";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u6301\u6587\u7ae0\u7684\u6700\u5c11\u5929\u6578\uff1a";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u6301\u6587\u7ae0\u7684\u6700\u591a\u5929\u6578\uff1a";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u6587\u7ae0\u6c38\u4e0d\u904e\u671f\u3002";
        showborder=false;
        val=$never;
      }
    ]
  }
]; /* network panel contents */
}, /* network panel spec */
{ /* Default expiration dialog */

blockid=defaultDialog;

localvar =
{
  .group.type.label="\u4fdd\u7559\u8a18\u9304\u7684\u5929\u6578\uff1a ";
  .title.default = "Edit default expiration policy";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          {
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          },
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Days to remember history */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$history;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u9075\u5b88\u904e\u671f\u6a19\u984c\u3002";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="\u4fdd\u6301\u6587\u7ae0\u7121\u904e\u671f\u6a19\u984c\u7684\u5929\u6578\uff1a";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u7f6e\u63db\u904e\u671f\u6a19\u984c\u3002";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u6301\u6587\u7ae0\u7684\u6700\u5c11\u5929\u6578\uff1a";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="\u4fdd\u6301\u6587\u7ae0\u7684\u6700\u591a\u5929\u6578\uff1a";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="\u6587\u7ae0\u6c38\u4e0d\u904e\u671f\u3002";
        showborder=false;
        val=$never;
      }
    ]
  }
];
}

]

